From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 24 June 2004<P>

'Course, not only did I have issues saying "I Love You" but I tended to write a lot more and I think better when chasing after an unrequited love...
<HR>
From: <a href="/blend/av.cgi?id=872">cryingshame58</a><BR>
Date: 24 June 2004<P>

Kirk, it's so awesome that you share intimate details of your life to us...everyone is richer by knowing what you think and feel...this community that you created encourages us all to dig a little deeper...thanks again...<BR>
Pam
<HR>
From: <a href="/blend/av.cgi?id=872">cryingshame58</a><BR>
Date: 24 June 2004<P>

Kirk, it's so awesome that you share intimate details of your life to us...everyone is richer by knowing what you think and feel...this community that you created encourages us all to dig a little deeper...thanks again...<BR>
Pam
<HR>
From: <a href="/blend/av.cgi?id=1450">Lolly Gaggin</a><BR>
Date: 24 June 2004<P>

Say, does anyone know any frozen drink recipes?
<HR>